Package org.silverpeas.components.yellowpages.dao

## Class GroupDAO

- java.lang.Object
- - org.silverpeas.components.yellowpages.dao.GroupDAO

-     @Repository
      public class GroupDAO
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupDAO()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addGroup​(Connection con, String groupId, String fatherId, String instanceId)` |
    `Collection<String>` | `getGroupIds​(Connection con, String fatherId, String instanceId)` |
    `void` | `removeGroup​(Connection con, String groupId)` |
    `static void` | `removeGroup​(Connection con, String groupId, String fatherId, String instanceId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupDAO

          public GroupDAO()

  - ### Method Detail

    - #### getGroupIds

          public Collection<String> getGroupIds​(Connection con,
                                                String fatherId,
                                                String instanceId)
                                         throws SQLException

      Throws:
        `SQLException`

    - #### addGroup

          public void addGroup​(Connection con,
                               String groupId,
                               String fatherId,
                               String instanceId)
                        throws SQLException,
                               org.silverpeas.core.exception.UtilException

      Throws:
        `SQLException`
        `org.silverpeas.core.exception.UtilException`

    - #### removeGroup

          public void removeGroup​(Connection con,
                                  String groupId)
                           throws SQLException

      Throws:
        `SQLException`

    - #### removeGroup

          public static void removeGroup​(Connection con,
                                         String groupId,
                                         String fatherId,
                                         String instanceId)
                                  throws SQLException

      Throws:
        `SQLException`